#
# spec file for package perl-MooseX-Types-Path-Tiny
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Types-Path-Tiny
Version:        0.012
Release:        bp155.2.8
%define cpan_name MooseX-Types-Path-Tiny
Summary:        Path::Tiny types and coercions for Moose
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Types-Path-Tiny/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Temp) >= 0.18
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Moose) >= 2
BuildRequires:  perl(MooseX::Getopt)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(MooseX::Types::Stringlike)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(Moose) >= 2
Requires:       perl(MooseX::Getopt)
Requires:       perl(MooseX::Types)
Requires:       perl(MooseX::Types::Moose)
Requires:       perl(MooseX::Types::Stringlike)
Requires:       perl(Path::Tiny)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
This module provides Path::Tiny types for Moose. It handles two important
types of coercion:

  * coercing objects with overloaded stringification

  * coercing to absolute paths

It also can check to ensure that files or directories exist.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENCE README

%changelog
* Fri Apr  7 2017 coolo@suse.com
- updated to 0.012
  see /usr/share/doc/packages/perl-MooseX-Types-Path-Tiny/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.011
  see /usr/share/doc/packages/perl-MooseX-Types-Path-Tiny/Changes
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.010
  - if eval problem in "use if" in 0.009
  - only clean namespaces when MooseX::Types is new enough that our declared
    types are installed as methods
  - new Paths, AbsPaths types, for coercable ArrayRefs
  - add missing authority data to module and metadata
* Sun Aug  4 2013 coolo@suse.com
- fix build.pl usage
* Sat Jul 27 2013 coolo@suse.com
- initial package 0.006
  * created by cpanspec 1.78.06
